Package org.springframework.jdbc.core

# Class SqlReturnUpdateCount

java.lang.Object
org.springframework.jdbc.core.SqlParameter
org.springframework.jdbc.core.SqlReturnUpdateCount

public class SqlReturnUpdateCount extends SqlParameter
Represents a returned update count from a stored procedure call.

Returned update counts - like all stored procedure parameters - must have names.

Author:
  Thomas Risberg

## Constructor Summary

Constructors
Constructor
Description
`SqlReturnUpdateCount(String name)`
Create a new SqlReturnUpdateCount.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isInputValueProvided()`
This implementation always returns `false`.
`boolean`
`isResultsParameter()`
This implementation always returns `true`.

### Methods inherited from class org.springframework.jdbc.core.SqlParameter

`getName, getScale, getSqlType, getTypeName, sqlTypesToAnonymousParameterList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SqlReturnUpdateCount

public SqlReturnUpdateCount(String name)
Create a new SqlReturnUpdateCount.

Parameters:
  `name` - the name of the parameter, as used in input and output maps

## Method Details

### isInputValueProvided

public boolean isInputValueProvided()
This implementation always returns `false`.

Overrides:
  `isInputValueProvided` in class `SqlParameter`

### isResultsParameter

public boolean isResultsParameter()
This implementation always returns `true`.

Overrides:
  `isResultsParameter` in class `SqlParameter`